@ECHO OFF
SETLOCAL
TITLE Introscope -- ProbeBuilder Command-Line on Directory

REM ****
REM Sets the current working directory with quotes around it
REM This enables this file to execute correctly if it is
REM invoked somewhere other than its location.
REM ****
FOR /f "tokens=1 delims=" %%a in ('cd') DO SET PWD=%%a

REM ****
REM Set the command directory to the command argument itself,
REM namely the full path of this file or the relative path
REM to where the file was invoked.
SET CMD_DIR=%0
REM Now simply strip out the name of this file to get dir
REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
REM        Use current filename
SET CMD_DIR=%CMD_DIR:probeDir.cmd=%
REM !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
REM add quotes if they're not there
SET CMD_DIR="%CMD_DIR%"
REM if not add quotes, then this statement chokes
SET CMD_DIR=%CMD_DIR:"=%
REM if the current dir wasn't determined, just set it to working dir
IF NOT EXIST "%CMD_DIR%" SET CMD_DIR=.
IF "%CMD_DIR%" == %0 SET CMD_DIR=.
IF "%CMD_DIR%" == "%0" SET CMD_DIR=.

REM ****
REM Now set the home directory for Introscope, and others
IF NOT EXIST "%CMD_DIR%\setIscEnv.cmd" goto noSetEnvFile
call "%CMD_DIR%\setIscEnv.cmd"

SET CLASSPATH=%ISC_LIB%\ProbeBuilder.jar
SET DIRECTIVES=%1
SET ORIG=%2
SET DEST=%3

REM remove the quotes if there
if defined DIRECTIVES SET DIRECTIVES=%DIRECTIVES:"=%
if defined ORIG SET ORIG=%ORIG:"=%
if defined DEST SET DEST=%DEST:"=%

if not defined DIRECTIVES  call "%CMD_DIR%\getDirectives.cmd"
if "X%DIRECTIVES%" == "X" goto errorExit
if not defined ORIG call "%CMD_DIR%\getOrigDir.cmd"
if not exist "%ORIG%" goto noDirectory
if "X%ORIG%" == "X" goto errorExit
if not defined DEST goto errorExit
if "X%DEST%" == "X" goto errorExit

ECHO Using directives in %DIRECTIVES%
ECHO Creating probed results in %DEST%

REM optionally, you can use -origjar/-destjar or -origclass/-destclass instead of directories
@ECHO ON
"%ISC_JAVA_HOME%\bin\java" -classpath "%CLASSPATH%" com.wily.introscope.api.IntroscopeProbeBuilder -directives "%DIRECTIVES%" -origdir "%ORIG%" -destdir "%DEST%" -verbose -prompt
@ECHO OFF
goto finish

:errorExit
ECHO Syntax: %0 "comma separated directives" "orig directory" "desination directory"
goto finish

:noDirectory
ECHO Directory does not exist: %ORIG% 
goto finish

:noSetEnvFile
ECHO There is no environment setup file: setIscEnv.cmd
ECHO Please re-run configureWily.cmd in installation directory!
goto finish

:finish
pause
ENDLOCAL
